# class KExecPropsPlugin | Used to edit the files containing [Desktop Entry] Type=Application More...
Internal Use Only
Definition | `#include <kpropsdlg.h>`
Inherits | KPropsDlgPlugin [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KExecPropsPlugin ( KPropertiesDialog *_props )
- virtual ~KExecPropsPlugin ()
- virtual void applyChanges ()

#### Public Slots

- void slotBrowseExec ()

#### Public Static Methods

- static bool supports ( KFileItemList _items )

## Detailed Description

Used to edit the files containing [Desktop Entry] Type=Application

Such files are used to represent a program in kpanel and kfm.

KExecPropsPlugin ( KPropertiesDialog *_props ) | ### KExecPropsPlugin

Constructor

~KExecPropsPlugin () | ### ~KExecPropsPlugin

[virtual]

void applyChanges () | ### applyChanges

[virtual]

Reimplemented from KPropsDlgPlugin.

bool supports ( KFileItemList _items ) | ### supports

[static]

void slotBrowseExec () | ### slotBrowseExec

[slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.